# Method: admin.directory.v1.customers.chrome.printServers.batchDeletePrintServers

Deletes multiple print servers.

### HTTP request

`POST https://admin.googleapis.com/admin/directory/v1/{parent=customers/*}/chrome/printServers:batchDeletePrintServers`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The [unique ID](https://developers.google.com/workspace/admin/directory/reference/rest/v1/customers) of the customer's Google Workspace account. Format: `customers/{customer.id}` |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printServerIds": [ string ] } ``` |

| Fields ||
|---|---|
| `printServerIds[]` | `string` A list of print server IDs that should be deleted (max `100` per batch). |

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "printServerIds": [ string ], "failedPrintServers": [ { object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/PrintServerFailureInfo`) } ] } ``` |

| Fields ||
|---|---|
| `printServerIds[]` | `string` A list of print server IDs that were successfully deleted. |
| `failedPrintServers[]` | ``object (`https://developers.google.com/workspace/admin/chrome-printer/reference/rest/v1/PrintServerFailureInfo`)`` A list of update failures. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.chrome.printers`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).